Package org.apache.commons.math3.fitting.leastsquares

# Interface LeastSquaresOptimizer

All Known Implementing Classes:
  `GaussNewtonOptimizer`, `LevenbergMarquardtOptimizer`

public interface LeastSquaresOptimizer
An algorithm that can be applied to a non-linear least squares problem.

Since:
  3.3

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`LeastSquaresOptimizer.Optimum`
The optimum found by the optimizer.

## Method Summary

Modifier and Type
Method
Description
`LeastSquaresOptimizer.Optimum`
`optimize(LeastSquaresProblem leastSquaresProblem)`
Solve the non-linear least squares problem.

## Method Details

### optimize

LeastSquaresOptimizer.Optimum optimize(LeastSquaresProblem leastSquaresProblem)
Solve the non-linear least squares problem.

Parameters:
  `leastSquaresProblem` - the problem definition, including model function and convergence criteria.
Returns:
  The optimum.